Bug 178980

Summary: Web Inspector: replace Canvas stack iteration with createScriptCallStack
Product: WebKit Reporter: Devin Rousso <drousso>
Component: Web InspectorAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, commit-queue, inspector-bugzilla-changes, joepeck, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
See Also: https://bugs.webkit.org/show_bug.cgi?id=178799
https://bugs.webkit.org/show_bug.cgi?id=179048
Bug Depends on:    
Bug Blocks: 173807    
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from ews101 for mac-elcapitan
none
Archive of layout-test-results from ews107 for mac-elcapitan-wk2
none
Archive of layout-test-results from ews117 for mac-elcapitan
none
Patch
none
Archive of layout-test-results from ews103 for mac-elcapitan
none
Archive of layout-test-results from ews106 for mac-elcapitan-wk2
none
Archive of layout-test-results from ews113 for mac-elcapitan
none
Patch
none
Archive of layout-test-results from ews103 for mac-elcapitan
none
Archive of layout-test-results from ews106 for mac-elcapitan-wk2
none
Archive of layout-test-results from ews112 for mac-elcapitan
none
Patch none

Description Devin Rousso 2017-10-28 01:53:45 PDT
As pointed out by Joe, we already have code to do this for us :|
Comment 1 Devin Rousso 2017-10-28 01:56:28 PDT
Created attachment 325254 [details]
Patch
Comment 2 Build Bot 2017-10-28 02:53:50 PDT
Comment on attachment 325254 [details]
Patch

Attachment 325254 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5021753

New failing tests:
inspector/canvas/recording-2d.html
inspector/canvas/recording-webgl-snapshots.html
inspector/canvas/recording-webgl.html
inspector/canvas/create-context-webgl.html
Comment 3 Build Bot 2017-10-28 02:53:52 PDT
Created attachment 325255 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 Build Bot 2017-10-28 02:58:04 PDT
Comment on attachment 325254 [details]
Patch

Attachment 325254 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5021763

New failing tests:
inspector/canvas/recording-2d.html
inspector/canvas/recording-webgl-snapshots.html
inspector/canvas/recording-webgl.html
inspector/canvas/create-context-webgl.html
Comment 5 Build Bot 2017-10-28 02:58:05 PDT
Created attachment 325256 [details]
Archive of layout-test-results from ews107 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 6 Build Bot 2017-10-28 03:09:00 PDT
Comment on attachment 325254 [details]
Patch

Attachment 325254 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5021773

New failing tests:
inspector/canvas/recording-2d.html
inspector/canvas/recording-webgl-snapshots.html
inspector/canvas/recording-webgl.html
inspector/canvas/create-context-webgl.html
Comment 7 Build Bot 2017-10-28 03:09:01 PDT
Created attachment 325257 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 8 Devin Rousso 2017-10-28 03:11:21 PDT
Created attachment 325258 [details]
Patch

Forgot tests :P
Comment 9 Build Bot 2017-10-28 04:06:40 PDT
Comment on attachment 325258 [details]
Patch

Attachment 325258 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5022164

New failing tests:
inspector/canvas/recording-webgl-snapshots.html
Comment 10 Build Bot 2017-10-28 04:06:42 PDT
Created attachment 325259 [details]
Archive of layout-test-results from ews103 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 11 Build Bot 2017-10-28 04:13:35 PDT
Comment on attachment 325258 [details]
Patch

Attachment 325258 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5022179

New failing tests:
inspector/canvas/recording-webgl-snapshots.html
Comment 12 Build Bot 2017-10-28 04:13:36 PDT
Created attachment 325260 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 13 Build Bot 2017-10-28 04:27:02 PDT
Comment on attachment 325258 [details]
Patch

Attachment 325258 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5022189

New failing tests:
inspector/canvas/recording-webgl-snapshots.html
Comment 14 Build Bot 2017-10-28 04:27:03 PDT
Created attachment 325261 [details]
Archive of layout-test-results from ews113 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 15 Devin Rousso 2017-10-28 18:12:18 PDT
Created attachment 325271 [details]
Patch
Comment 16 Build Bot 2017-10-28 19:07:58 PDT
Comment on attachment 325271 [details]
Patch

Attachment 325271 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5027101

New failing tests:
inspector/canvas/recording-webgl-snapshots.html
Comment 17 Build Bot 2017-10-28 19:07:59 PDT
Created attachment 325272 [details]
Archive of layout-test-results from ews103 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 18 Build Bot 2017-10-28 19:15:26 PDT
Comment on attachment 325271 [details]
Patch

Attachment 325271 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5027108

New failing tests:
inspector/canvas/recording-webgl-snapshots.html
Comment 19 Build Bot 2017-10-28 19:15:27 PDT
Created attachment 325273 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 20 Build Bot 2017-10-28 19:27:05 PDT
Comment on attachment 325271 [details]
Patch

Attachment 325271 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5027119

New failing tests:
inspector/canvas/recording-webgl-snapshots.html
Comment 21 Build Bot 2017-10-28 19:27:07 PDT
Created attachment 325274 [details]
Archive of layout-test-results from ews112 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 22 Devin Rousso 2017-10-28 21:22:31 PDT
Created attachment 325278 [details]
Patch
Comment 23 Joseph Pecoraro 2017-10-30 11:53:59 PDT
Comment on attachment 325278 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=325278&action=review

r=me

> Source/WebCore/inspector/InspectorCanvas.cpp:262
> +        auto stackTrace = Inspector::createScriptCallStack(JSMainThreadExecState::currentState(), Inspector::ScriptCallStack::maxCallStackSizeToCapture);

We should really make ScriptCallStack::maxCallStackSizeToCapture a default value. Its ridiculous that pretty much every caller passes it.

> LayoutTests/inspector/canvas/create-context-2d-expected.txt:33
> +  0: getCSSCanvasContext - [native code]

Nice! See it is worth including the native function!
Comment 24 Devin Rousso 2017-10-31 00:45:16 PDT
Comment on attachment 325278 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=325278&action=review

>> Source/WebCore/inspector/InspectorCanvas.cpp:262
>> +        auto stackTrace = Inspector::createScriptCallStack(JSMainThreadExecState::currentState(), Inspector::ScriptCallStack::maxCallStackSizeToCapture);
> 
> We should really make ScriptCallStack::maxCallStackSizeToCapture a default value. Its ridiculous that pretty much every caller passes it.

<https://webkit.org/b/179048> Web Inspector: make ScriptCallStack::maxCallStackSizeToCapture the default value when capturing backtraces
Comment 25 WebKit Commit Bot 2017-10-31 01:06:11 PDT
Comment on attachment 325278 [details]
Patch

Clearing flags on attachment: 325278

Committed r224224: <https://trac.webkit.org/changeset/224224>
Comment 26 WebKit Commit Bot 2017-10-31 01:06:13 PDT
All reviewed patches have been landed.  Closing bug.
Comment 27 Radar WebKit Bug Importer 2017-11-15 12:35:31 PST
<rdar://problem/35567830>